import type { DataPackageContext } from '../../data/Types';
import type { NetworkMessage } from '../../network/NetworkMessageTypes';
export type NetworkState = {
    lastMessage: NetworkMessage;
};
export type NetworkAtom = ReturnType<typeof createNetworkAtom>;
declare function requestOpened(state: NetworkState, openedTimestamp: number): boolean;
declare function headersReceived(state: NetworkState, headersReceivedTimestamp: number, contentLength: number): boolean;
declare function progress(state: NetworkState, progressTimestamp: number, chunk: Uint8Array, loadedBytes: number, elapsedTime: number): boolean;
declare function error(state: NetworkState, error: Error): boolean;
declare function done(state: NetworkState, doneTimestamp: number): boolean;
export declare function createNetworkAtom(context: DataPackageContext): import("../state/Types").StateAtom<{
    lastMessage: NetworkMessage;
}, {
    requestOpened: typeof requestOpened;
    headersReceived: typeof headersReceived;
    progress: typeof progress;
    error: typeof error;
    done: typeof done;
}>;
export {};
